Bug 495840 - Fedora Core 10, OpenOffice.org crashes immediately upon startup
Fedora Core 10, OpenOffice.org crashes immediately upon startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 22:46 EDT by Rick Retterer
Modified: 2009-05-15 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.1-15.4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mapped stck (4.28 KB, text/plain)
2009-04-15 03:51 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 101145 None None None Never

  None (edit)
Description Rick Retterer 2009-04-14 22:46:02 EDT
Description of problem:

Fedora Core 10 - 2.6.27.21-170.2.56.fc10.i686
openoffice.org-core-3.0.1-15.3.fc10-i386

Upon startup of OpenOffice.org v3.01, on my Fedora 
Core 10 system, it crashes immediately every time.

Removed completely and reinstalled, only to have the problem recurr again exactly as it did before.  I did not have this problem the last time that I used OpenOffice.org Writer about 1 month ago.

I have no idea as to what has caused this to start happening, I have changed no hardware on my system.  Software wise, I do install the updates as they become available.


How reproducible:  This problem is reproducible 100% of the time no matter how I attempt to start it up (i.e. command-line -vs- GUI), or what user I am.  It fails for the root user, as well as my current user and a new test account that I created.  All 3 users get the exact same crash output.  No core file is produced.


Steps to Reproduce:
1. Login on Console of the system as any user.
2. Select any of the OpenOffice.org components to start up that application.
3. Splash screen appears for about 15 seconds, then crashes with output.
  
Actual results:


(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so 
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so 
(==) Depth 24 pixmap format is 32 bpp                     
(III)  Desktop is: not GNOME                              
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-i386                                    
(VI)   kernel is: Linux 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009
 i686 i686 i386                                                                         
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.1-15.3.fc10-i386     
(VIII) accessibility is: false                                                          
(IX)   fedora release is: Fedora release 10 (Cambridge)                                 
(X)    LANG is: en_US.UTF-8                                                             
...start free space details ...                                                         
Filesystem           1K-blocks      Used Available Use% Mounted on                      
/dev/mapper/VolGroup00-LogVol00                                                         
                     191039148  23728608 157606300  14% /                               
/dev/mapper/VolGroup00-LogVol00                                                         
                     191039148  23728608 157606300  14% /                               
...end free space details ...                                                           
...start (default) java details ...                                                     
java version "1.6.0_0"                                                                  
IcedTea6 1.4 (fedora-15.b14.fc10-i386) Runtime Environment (build 1.6.0_0-b14)          
OpenJDK Client VM (build 14.0-b08, mixed mode)                                          
...end (default) java details ...                                                       
...start sestatus details ...                                                           
SELinux status:                 disabled                                                
...end sestatus details ...                                                             
...start stackreport details ...                                                        
...end stackreport details ...                                                          
...start sample ldd details ...                                                         
        linux-gate.so.1 =>  (0x0034e000)                                                
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x0034f000)                
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00c86000)                
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00110000)                        
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x00938000)                            
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00df0000)              
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0012d000)          
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0014a000)          
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00b5c000)                            
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00155000)                    
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x0019b000)                      
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0022e000)                  
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x008f8000)                    
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x0025d000)                    
        librt.so.1 => /lib/librt.so.1 (0x00c16000)                                      
        libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x007a8000)                
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00262000)                              
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x002a3000)                    
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x009ac000)                          
        libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli
.so (0x00736000)                                                                        
        libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00f8d000)
        libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00a8f000)
        libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x002e4000)
        libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00852000)
        libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00d1b000)  
        libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3
.so (0x00e1a000)                                                                        
        libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gc
c3.so (0x007c6000)                                                                      
        libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-li
nk/lib/libuno_cppuhelpergcc3.so.3 (0x0397c000)                                          
        libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/lib
uno_cppu.so.3 (0x008c1000)                                                              
        libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x008
fc000)                                                                                  
        libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libu
no_sal.so.3 (0x05175000)                                                                
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00332000)                          
        libX11.so.6 => /usr/lib/libX11.so.6 (0x043a7000)                                
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00339000)                              
        libdl.so.2 => /lib/libdl.so.2 (0x00349000)                                      
        libpthread.so.0 => /lib/libpthread.so.0 (0x0091e000)                            
        libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/li
bstlport_gcc.so (0x01281000)                                                            
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0134b000)                          
        libm.so.6 => /lib/libm.so.6 (0x00bd4000)                                        
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00820000)                                
        libc.so.6 => /lib/libc.so.6 (0x05a1e000)                                        
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x007a3000)                  
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x008ee000)                        
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x008f1000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00c20000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00bfd000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00b58000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x00c06000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00c47000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x00c51000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00d9d000)
        libz.so.1 => /lib/libz.so.1 (0x00c6e000)
        libexpat.so.1 => /lib/libexpat.so.1 (0x00f06000)
        /lib/ld-linux.so.2 (0x0082f000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x053d4000)
        libcap.so.2 => /lib/libcap.so.2 (0x00c0f000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00de4000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x03eac000)
        libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolan
g1gcc3.so (0x00f2d000)
        libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x0
402d000)
        libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x046a8000)
        libicule.so.40 => /usr/lib/libicule.so.40 (0x03f70000)
        libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/li
b/libjvmaccessgcc3.so.3 (0x00f32000)
        libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-lin
k/lib/libuno_salhelpergcc3.so.3 (0x00c82000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x0143d000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x007a6000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0x06d4c000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00dec000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x00f39000)
        libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb729b000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00f3d000)
...end sample ldd details ...



Expected results:
I expect to see the OpenOffice.org application to appear so that I can create my reports.


Additional info:

I have attempted to use the following environment variables in a effort to at least modify the behavior of the application, even if only to determine if I'm  having any luck at understanding the problem:

a. export SAL_IGNOREXERRORS=1 
b. export SAL_DISABLE_CAIROTEXT=1 

An sosreport can be provided if required.

Thank you for any assistance you can provide.
Comment 1 Rick Retterer 2009-04-14 23:10:35 EDT
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping        : 1
cpu MHz         : 3200.000
cache size      : 1024 KB

Dual Core.

Linux version 2.6.27.21-170.2.56.fc10.i686 (mockbuild@xenbuilder2.fedora.redhat.com) 
(gcc version 4.3.2 20081105 (Red Hat 4.3.2-7) (GCC) ) 
#1 SMP Mon Mar 23 23:37:54 EDT 2009

X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.1.1.el5 i686
Current Operating System: Linux Grendal 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 2
3:37:54 EDT 2009 i686
Build Date: 10 March 2009  07:20:48PM
Build ID: xorg-x11-server 1.5.3-15.fc10
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Apr 14 13:19:58 2009
(EE) Unable to locate/open config file
(II) Loader magic: 0x81f4400
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 4.1
        X.Org XInput driver : 2.1
        X.Org Server Extension : 1.1
        X.Org Font Renderer : 0.6
(II) Loader running on linux
(--) using VT number 7

(--) PCI:*(0@0:2:0) Intel Corporation 82915G/GV/910GL Integrated Graphics Controller rev
 4, Mem @ 0xcfe00000/0, 0xe0000000/0, 0xcff00000/0, I/O @ 0x00001800/0
(--) PCI: (0@0:2:1) Intel Corporation 82915G Integrated Graphics Controller rev 4, Mem @
 0xcfe80000/0
(==) Matched intel for the autoconfigured driver
New driver is "intel"
(==) Using default built-in configuration (30 lines)
(==) --- Start of built-in configuration ---
        Section "Device"
                Identifier      "Builtin Default intel Device 0"
                Driver  "intel"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default intel Screen 0"
                Device  "Builtin Default intel Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default fbdev Device 0"
                Driver  "fbdev"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default fbdev Screen 0"
                Device  "Builtin Default fbdev Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default vesa Device 0"
                Driver  "vesa"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default vesa Screen 0"
                Device  "Builtin Default vesa Device 0"
        EndSection
        Section "ServerLayout"
                Identifier      "Builtin Default Layout"
                Screen  "Builtin Default intel Screen 0"
                Screen  "Builtin Default fbdev Screen 0"
                Screen  "Builtin Default vesa Screen 0"
        EndSection
(==) --- End of built-in configuration ---
(==) ServerLayout "Builtin Default Layout"
(**) |-->Screen "Builtin Default intel Screen 0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default intel Device 0"
(==) No monitor specified for screen "Builtin Default intel Screen 0".
        Using a default monitor configuration.
(**) |-->Screen "Builtin Default fbdev Screen 0" (1)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default fbdev Device 0"
(==) No monitor specified for screen "Builtin Default fbdev Screen 0".
        Using a default monitor configuration.
(**) |-->Screen "Builtin Default vesa Screen 0" (2)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default vesa Device 0"
(==) No monitor specified for screen "Builtin Default vesa Screen 0".
        Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on HAL to provide the list of input devices.
        If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension SELinux
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 1.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"

(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
        compiled for 1.5.3, module version = 1.0.0
        ABI class: X.Org Server Extension, version 1.1
(==) AIGLX enabled
(==) Exporting typical set of GLX visuals
(II) Loading extension GLX
(II) LoadModule: "freetype"
{Remainder of X.org server log file included in sosreport}

Thanks!
Comment 2 David Tardon 2009-04-15 01:12:33 EDT
I don't see any problem on my installation. Could you try some more environment variables? Namely:
SAL_NOOPENGL=true--it may be problem in OpenGL.
SAL_USE_VCLPLUGIN=gtk--to enforce Gtk+ graphic backend. Now the application uses generic one. I don't expect much from that, though.

How far gets the progress bar at the bottom of the splash screen?
Comment 3 Rick Retterer 2009-04-15 02:24:00 EDT
Hi David,

  The progress bar appears to make along to about 1/2 way across the splash screen before it crashes.

1) I just tested using the environment variable SAL_NOOPENGL=true, still crashed with the progress bar sitting at about 1/2 way across the splash screen.

2) SAL_USE_VLCPLUGIN=gtk testing also failed to allow OpenOffice.org to startup successfully.

3) I tried each one, one at a time, and then both of them together, and it still fails.

I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-i386
(VI)   kernel is: Linux 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.1-15.3.fc10-i386
(VIII) accessibility is:
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     191039148  23566928 157767980  13% /
/dev/mapper/VolGroup00-LogVol00
                     191039148  23566928 157767980  13% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Client VM (build 11.0-b16, mixed mode, sharing)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x4c136c4: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x256c4
0x4c13fff: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25fff
0x589400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x55ea2e: 0x41968: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x2fa2e
0x53627fb: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x20e7fb
0x52f7b4a: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x1a3b4a
0x52f7c59: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x1a3c59
0x536c5bd: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2185bd
0x536c910: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x218910 (WorkWindow::WorkWindow(Window*, long long) + 0x68)
0x5567755: 0x1a06e8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x99755
0x5567e07: 0x1a06e8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x99e07
0x5568348: 0x1a06e8: /usr/lib/openoffice.org3/program/../basis-link/program/libtkli.so + 0x9a348
0x91aeca1: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x14bca1
0x91af43c: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x14c43c
0x91ade60: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x14ae60
0x90d01ab: 0x1e5a44: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6d1ab
0x5c19ccc: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1dccc
0x51f401b: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa001b
0x51f41b7: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa01b7 (SVMain() + 0x2c)
0x5c3a6f8: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e6f8 (soffice_main + 0xd0)
0x8048c74: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xc74 (main + 0x20)
0x86a6e5: 0x16fd7c: /lib/libc.so.6 + 0x166e5 (__libc_start_main + 0xe5)
0x8048bc1: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xbc1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x006f5000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00306000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00270000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x0091d000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x009a1000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00110000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0013a000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00bea000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00c61000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00755000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00157000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x001ea000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0073d000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x007e8000)
	librt.so.1 => /lib/librt.so.1 (0x00219000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00223000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x006f6000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x0079b000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00f1c000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x008a5000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00fff000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00dd3000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x0093a000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00a15000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00a84000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00cd9000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x00b06000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x00b60000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x00241000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x007ed000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x04a49000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x006ed000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x0401d000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00741000)
	libdl.so.2 => /lib/libdl.so.2 (0x00737000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0080f000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0x04e69000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x05099000)
	libm.so.6 => /lib/libm.so.6 (0x00bf5000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00988000)
	libc.so.6 => /lib/libc.so.6 (0x057b5000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00751000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x007dc000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x007df000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00c1e000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00852000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x007e4000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x00912000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00996000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x00e9c000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00eb9000)
	libz.so.1 => /lib/libz.so.1 (0x00c45000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x012f3000)
	/lib/ld-linux.so.2 (0x0082f000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00f00000)
	libcap.so.2 => /lib/libcap.so.2 (0x00829000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x00bd8000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x07603000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x00be0000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x07c75000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x02979000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x02499000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00c59000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00be5000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x07d58000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x0026e000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01f9b000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0085b000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x00dc5000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb731f000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00dc9000)
...end sample ldd details ...


I'm not sure what steps to take next.  I don't know if this is actually a video driver problem, or a run-time library problem.

I sure do appreciate the help.

Rick
Comment 4 Caolan McNamara 2009-04-15 03:51:19 EDT
Created attachment 339639 [details]
mapped stck
Comment 5 Caolan McNamara 2009-04-15 04:23:25 EDT
FWIW I have the same X driver and OOo version without any problems.

The first crash report above actually has no stack in it at all, which is odd. While the second one does, and suggests something related to the desktop settings triggering a crash, so... focusing on the environment that no 2 was gotten from (i.e. apparently GNOME) is there a particular theme involved, i.e. was there any new gtk themes installed in the last month or setting changed.
Comment 6 Rick Retterer 2009-04-15 10:19:35 EDT
Caolan,

  I did install a couple of new themes, but I didn't like them and have not used them.  I continue to use the CRUX theme.

I will try logging in again as a new user which will use the default settings and see if that changes anything.

Is there anything else that you think I should try as a test?

Rick
Comment 7 Rick Retterer 2009-04-15 13:05:23 EDT
Progress has been made...

I changed my session from GNOME to KDE and logged in as myself and started up the OpenOffice.org -writer application.  

It came right up!

I tested each of the individual programs:

Drawing
Spreadsheet
Viewer
Database

They all worked.  So while I was in the program, I turned of the "Use Hardware Acceleration" and use OpenGL for Drawing.  I then logged out and changed my session back to GNOME logged back in.

I then started the "-writer" application ... only to have it FALL FLAT on it's FACE.  Here is the the errors I received:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-i386
(VI)   kernel is: Linux 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.1-15.3.fc10-i386
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     191039148  23527736 157807172  13% /
/dev/mapper/VolGroup00-LogVol00
                     191039148  23527736 157807172  13% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_11"
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
Java HotSpot(TM) Client VM (build 11.0-b16, mixed mode, sharing)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x4c136c4: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x256c4
0x4c13fff: 0x1b4a40: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x25fff
0xe9f400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0xe2ba2e: 0x41968: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so + 0x2fa2e
0x51f08a7: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x9c8a7 (Application::MergeSystemSettings(AllSettings&) + 0x59)
0x5044200: 0x328760: /usr/lib/openoffice.org3/program/../basis-link/program/libsvtli.so + 0x299200 (SvtTabAppearanceCfg::SetApplicationDefaults(Application*) + 0x21c)
0x5c1a351: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x1e351
0x51f401b: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa001b
0x51f41b7: 0x2ec38c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0xa01b7 (SVMain() + 0x2c)
0x5c3a6f8: 0x51974: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3e6f8 (soffice_main + 0xd0)
0x80487c4: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x7c4 (main + 0x20)
0x86a6e5: 0x16fd7c: /lib/libc.so.6 + 0x166e5 (__libc_start_main + 0xe5)
0x8048711: 0xccc: /usr/lib/openoffice.org3/program/swriter.bin + 0x711
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x006b6000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00b78000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00a7e000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00110000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x0012d000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00a1b000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x001a1000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x001be000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x001c9000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0036b000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x008d4000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00241000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00270000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00283000)
	librt.so.1 => /lib/librt.so.1 (0x00602000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0052c000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00288000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x002c9000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x003b1000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x00494000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00ff3000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x006b7000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x009a8000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x0054a000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x0060c000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x015e4000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x0030a000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x00780000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x005b9000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x00871000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x02423000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00274000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x078fa000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00501000)
	libdl.so.2 => /lib/libdl.so.2 (0x0027b000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00511000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0x07175000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x076ed000)
	libm.so.6 => /lib/libm.so.6 (0x007f8000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x005e6000)
	libc.so.6 => /lib/libc.so.6 (0x012e7000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00280000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00364000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x006a8000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00f6c000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x005f4000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00367000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x0068e000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00697000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x00852000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00b13000)
	libz.so.1 => /lib/libz.so.1 (0x00893000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x008a7000)
	/lib/ld-linux.so.2 (0x0082f000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00967000)
	libcap.so.2 => /lib/libcap.so.2 (0x005fd000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x006ad000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x00981000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x006a1000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x02ee2000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x04340000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x00a45000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x00821000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00828000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x0639a000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x006a6000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x009f6000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x0082c000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x008ce000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb72b3000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x0099b000)
...end sample ldd details ...


How does one change a GTK theme in Fedora Core 10.

Thanks Rick
Comment 8 Caolan McNamara 2009-04-16 03:38:09 EDT
You can change the theme with system->preferences->appearance->theme under GNOME. Still sounds like a gnome setting of "some" kind which is triggering this, so before you change the theme can you do..

gconftool-2 --dump / > /tmp/gconf.dump

and attach that /tmp/gconf.dump here
Comment 9 Rick Retterer 2009-04-16 09:27:54 EDT
Created attachment 339840 [details]
Gconf dump file from my system.

I also have a sysreport tar ball if you are interested in see anything in that as well.
Comment 10 Caolan McNamara 2009-04-16 10:53:17 EDT
gtk-theme of CurvyLooks + icon-theme of Gion == no crash for me, rats, thought that might be it
Comment 11 Caolan McNamara 2009-04-16 11:16:44 EDT
oky doky got the crash after gconftool-2 --load on your config, reproducable
Comment 12 Caolan McNamara 2009-04-16 11:34:09 EDT
that's weird, 

try this...

system->preferences->look and feel->appearance->fonts->details and fill in "96" into the resolution box and press enter

then try and start OOo

(I also note that the font in gnome-terminal is impossible to see). 

You seem to have...

    <entry>
      <key>/desktop/gnome/font_rendering/dpi</key>
      <schema_key>/schemas/desktop/gnome/font_rendering/dpi</schema_key>
      <value>
        <int>100</int>
      </value>
    </entry>

while it should be <float>100</float>, seems as if the type of that is wrong. Shouldn't crash us though
Comment 13 Caolan McNamara 2009-04-16 15:48:04 EDT
fix checked in so we don't crash under these circumstances, will be in >= 3.0.1-15.4.

But you've got bigger problems I think, not at all sure how your (obviously global as its a new user) settings are such that the type of that key has gotten screwed up
Comment 14 Rick Retterer 2009-04-16 18:10:47 EDT
Caolan,
  BINGO!  That was it man!  WOW!!

My hat is off to you!  Nice Job.

How did you know to zero in on that specific resource/key?
I looked through all of the output, and it all seemed so complex due to how it is specified in the xml file.

Regardless, you are the best!

Thank you so much.

Please let me know if you see anything else that needs my immediate attention.

Again... Thanks.

Rick
Comment 15 Fedora Update System 2009-05-05 07:23:24 EDT
openoffice.org-3.0.1-15.4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.4.fc10
Comment 16 Fedora Update System 2009-05-06 19:28:42 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4273
Comment 17 Fedora Update System 2009-05-15 19:32:08 EDT
openoffice.org-3.0.1-15.4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.